------------------------------------------------------------------------------------
--Name:  	xiaolong2
--Creator:	由剧情表现脚本编辑器生成
--Created:	2022-12-07
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(58, 59)
CppScriptMgr:SetViewScale(200)
local Player_1 = CppScriptMgr:AddSimplePlayer(1056220, 72, 73, "", 0, 0)
Player_1:SetZoomPercent(50)
Player_1:SetHide(1)
Player_1:SetDir(7)
local Effect_1 = CppScriptMgr:AddEffect("QL_YiShan", 64, 65, 33, 1, 1, 1)
local npc_0 = CppScriptMgr:AddSimplePlayer(29310, 64, 65, "", 0, 0)
npc_0:SetZoomPercent(200)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:ShakeScrEffect(1)
local Effect_2 = CppScriptMgr:AddEffect("CSGX_jin", 64, 65, 33, 1, 1, 1)
local Effect_3 = CppScriptMgr:AddEffect("Ren_JMBJ", 64, 65, 33, 1, 1, 1)
local Effect_4 = CppScriptMgr:AddEffect("Attack35r", 64, 65, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:NpcCallOut("Phoenix resurrects in fire!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcXLWX", 150, 430, "NobleMaster", 250, 655,true)
CppScriptMgr:WaitMilSec(1490)
npc_0:SetHide(1)
Player_1:SetHide(0)
local Effect_5 = CppScriptMgr:AddEffect("zs_ww_xh", 64, 65, 33, 1, 1, 1)
Effect_5:Scale(2, 2, 2)
ChangeNpcZoom(Player_1, 50, 200, 10, 33)
CppScriptMgr:WaitMilSec(980)
CppScriptMgr:ClearEffect(Effect_2)
CppScriptMgr:ClearEffect(Effect_1)
CppScriptMgr:ClearEffect(Effect_3)
CppScriptMgr:ClearEffect(Effect_4)
Player_1:SetAction(101)
local Effect_7 = CppScriptMgr:AddEffect("100wp_yanjiang", 64, 65, 33, 1, 1, 1)
Effect_7:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(2000)